Subject: bug#7862: closed (Re: Cygwin test failure of parallel-am.test)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Nov 2012 10:54:01 +0000

Your bug report

#7862: Cygwin test failure of parallel-am.test

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7862: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7862
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Cygwin test failure of parallel-am.test
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Cc: Peter Rosin <[email-masked]>
Date: Wed, 21 Nov 2012 11:52:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[+cc Peter Rosin]

Reference:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7862>

It has been a long time since this report, and regular testing by Peter
hasn't (AFAIK) tickled similar failures in any modern Automake+Cygwin
combination.  So I'm closing this report, to avoid keeping the bug
tracker cluttered.

Peter, if I'm wrong and you're indeed seeing similar issues, feel
free to re-open this report.

Thanks,
  Stefano

Subject: Cygwin test failure of parallel-am.test
From: Ralf Wildenhues <[email-masked]>
To: [email-masked]
Date: Tue, 18 Jan 2011 23:13:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Cygwin, parallel-am.test fails with a segmentation fault in an
automake invocation in the last loop of the test, here's the stackdump:

Exception: STATUS_ACCESS_VIOLATION at eip=610F2804
eax=0000FFD8 ebx=118E6800 ecx=118E9800 edx=118E67E0 esi=118DE828 edi=00009028
ebp=118E67D8 esp=027BC330 program=C:\cygwin\bin\perl.exe, pid 212, thread unknown (0xDDC)
cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023
Stack trace:
Frame     Function  Args
118E67D8  610F2804  (00000000, 00000000, 00000000, 00000000)
End of stack trace

The 'stderr' file contains the two 'installing ...install-sh' and
'missing' lines, but not the rest.  I haven't been able to reproduce the
bug by repeatedly rerunning automake with AUTOMAKE_JOBS set to 5.

Seems like I have a Cygwin bug to report ...

Cheers,
Ralf